Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.config.providers
Class XmlHelper

    java.lang.Object
      com.opensymphony.xwork2.config.providers.XmlHelper

    public class XmlHelper

extends Object

XML utilities.

Author:
  Mike

Constructor Summary
`XmlHelper()`

Method Summary
`static String` | `getContent(Element element)` This method will return the content of this particular `element`.
`static Integer` | `getLoadOrder(Document doc)` Return the value of the "order" attribute from the root element
`static Map<String,String>` | `getParams(Element paramsElement)` This method will find all the parameters under this `paramsElement` and return them as Map.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlHelper

    public XmlHelper()

Method Detail

### getParams

    public static Map<String,String> getParams(Element paramsElement)

  This method will find all the parameters under this `paramsElement` and return them as Map. For example,

            value1
            value2
            value3

  will returns a Map with the following key, value pairs :-
  - param1 - value1
  - param2 - value2
  - param3 - value3

  Parameters:
    `paramsElement` -
  Returns:

### getContent

    public static String getContent(Element element)

  This method will return the content of this particular `element`. For example,

          something_1

  When the `Element` `<result>` is passed in as argument (`element` to this method, it returns the content of it, namely, `something_1` in the example above.

  Returns:

### getLoadOrder

    public static Integer getLoadOrder(Document doc)

  Return the value of the "order" attribute from the root element

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.